Extending Qt Creator Manual | Check

Extending Qt Creator Manual 4.3.0

# Check Class

(QmlJS::Check)

- List of all members, including inherited members

## Public Functions

| Check(Document::Ptr doc, const ContextPtr &context)
| ~Check()
void | disableMessage(StaticAnalysis::Type type)
void | disableQmlDesignerChecks()
void | disableQmlDesignerUiFileChecks()
void | enableMessage(StaticAnalysis::Type type)
void | enableQmlDesignerChecks()
void | enableQmlDesignerUiFileChecks()
QList<StaticAnalysis::Message> | operator()()

## Member Function Documentation

### Check::Check(Document::Ptr doc, const ContextPtr &context)

Default constructs an instance of Check.

### Check::~Check()

Destroys the instance of Check.

### void Check::disableMessage(StaticAnalysis::Type type)

### void Check::disableQmlDesignerChecks()

### void Check::disableQmlDesignerUiFileChecks()

### void Check::enableMessage(StaticAnalysis::Type type)

### void Check::enableQmlDesignerChecks()

### void Check::enableQmlDesignerUiFileChecks()

### QList<StaticAnalysis::Message> Check::operator()()